## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDefaultDocumentBuilder Class Reference

This is class is designed to allow a XalanTranfomer object to use a document that is build dynamically by a user. More...

`#include <XalanDefaultDocumentBuilder.hpp>`

Inheritance diagram for XalanDefaultDocumentBuilder:

[legend]
Collaboration diagram for XalanDefaultDocumentBuilder:

[legend]
List of all members.

## Public Methods

- XalanDefaultDocumentBuilder (MemoryManagerType &theManager, const XalanDOMString &theURI)
    Create a XalanDefaultDocumentBuilder instance,. More...
- virtual ~XalanDefaultDocumentBuilder ()
- virtual XalanDocument* getDocument () const
    Get a pointer to the XalanDocument instance for the source document. More...
- virtual XalanParsedSourceHelper* createHelper (MemoryManagerType &theManager) const
    Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance. More...
- virtual const XalanDOMString& getURI () const
    Get the URI for the parsed source, if any. More...
- virtual ContentHandlerType* getContentHandler ()
- virtual DTDHandlerType* getDTDHandler ()
- virtual LexicalHandlerType* getLexicalHandler ()

## Static Public Methods

- XalanDefaultDocumentBuilder* create (MemoryManagerType &theManager, const XalanDOMString &theURI)

## Detailed Description

This is class is designed to allow a XalanTranfomer object to use a document that is build dynamically by a user.

## Constructor & Destructor Documentation

XalanDefaultDocumentBuilder::XalanDefaultDocumentBuilder ( | MemoryManagerType & theManager,
| const XalanDOMString & theURI )

  | Create a XalanDefaultDocumentBuilder instance,. Parameters:
  theURI | An optional string to identify the document.

XalanDefaultDocumentBuilder::~XalanDefaultDocumentBuilder ( | )`[virtual]`

## Member Function Documentation

XalanDefaultDocumentBuilder * XalanDefaultDocumentBuilder::create ( | MemoryManagerType & theManager,
| const XalanDOMString & theURI )`[static]`

XalanParsedSourceHelper * XalanDefaultDocumentBuilder::createHelper ( | MemoryManagerType & theManager ) const`[virtual]`

| Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance. The caller is responsible for deleting the object when finished. Returns: A pointer to a XalanParsedSourceHelper instance. Reimplemented from XalanDocumentBuilder.

ContentHandlerType * XalanDefaultDocumentBuilder::getContentHandler ( | )`[virtual]`

| Reimplemented from XalanDocumentBuilder.

DTDHandlerType * XalanDefaultDocumentBuilder::getDTDHandler ( | )`[virtual]`

| Reimplemented from XalanDocumentBuilder.

XalanDocument * XalanDefaultDocumentBuilder::getDocument ( | ) const`[virtual]`

| Get a pointer to the XalanDocument instance for the source document. Returns: A pointer to a XalanDocument instance. Reimplemented from XalanDocumentBuilder.

LexicalHandlerType * XalanDefaultDocumentBuilder::getLexicalHandler ( | )`[virtual]`

| Reimplemented from XalanDocumentBuilder.

const XalanDOMString & XalanDefaultDocumentBuilder::getURI ( | ) const`[virtual]`

| Get the URI for the parsed source, if any. use for transforming with the instance. Returns: A const reference to a string containing the URI Reimplemented from XalanDocumentBuilder.

The documentation for this class was generated from the following file:

- XalanDefaultDocumentBuilder.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.